Debian Bug report logs - #399706
soap4r should not request USE_SOAP_PROXY, or it should be standardized

version graph

Package: apt-listbugs; Maintainer for apt-listbugs is Francesco Poli (wintermute) <invernomuto@paranoici.org>; Source for apt-listbugs is src:apt-listbugs.

Reported by: Uwe Storbeck <uwe@ibr.ch>

Date: Tue, 21 Nov 2006 14:18:14 UTC

Severity: wishlist

Merged with 396304

Found in version apt-listbugs/0.1.3

Fixed in version apt-listbugs/0.1.4

Done: Francesco Poli <invernomuto@paranoici.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Uwe Storbeck <uwe@ibr.ch>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Storbeck <uwe@ibr.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-listbugs does not use the proxy if http_proxy is set but soap_use_proxy not
Date: Tue, 21 Nov 2006 15:03:17 +0100
Package: apt-listbugs
Version: 0.0.68
Severity: normal

Hi Junichi,

very nice you at least turned down the error from the sanity check into
a warning. But it does not work, apparently the proxy will not be used
if soap_use_proxy is not set. Isn't that all getting to complicated?
Why not simply follow the apt.conf manpage: "The http_proxy environment
variable will override all settings." If an admin is not aware of his
environment settings it's his own fault. No need to protect bad admins
of themself at the price to make it complicated for all others ...

# /usr/sbin/apt-listbugs list apt-listbugs -d
W: sanity check failed: environment variable http_proxy is set and soap_use_proxy is not 'on'.http_proxy: http://http-proxy:8080/ : ,,http-proxy,8080
http://bugs.debian.org:80/, user-auth=:
indexdir = /indices/
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... 0%Exception `LoadError' at /usr/lib/ruby/1.8/xml/encoding-ja.rb:12 - no such file to load -- uconv
Set XSD::XMLParser::XMLParser as XML processor.
Exception `LoadError' at /usr/lib/ruby/1.8/http-access2.rb:31 - no such file to load -- openssl
reading /indices/index.db-critical.gz.. 
Reading /indices/index.db-critical.gz... 
reading /indices/index.db-grave.gz.. 
Reading /indices/index.db-grave.gz... 
reading /indices/index.db-serious.gz.. 
Reading /indices/index.db-serious.gz... 
fetching 326008 381350 389681 395562 323626 334697.. 
Wire dump:

= Request

! CONNECT TO bugs.debian.org:80
Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1129 - Network is unreachable - connect(2)
Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1415 - Network is unreachable - connect(2) (bugs.debian.org, #80)
Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:915 - Network is unreachable - connect(2) (bugs.debian.org, #80)
Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/soap/streamHandler.rb:184 - Network is unreachable - connect(2) (bugs.debian.org, #80)
 Exception: Errno::ENETUNREACH
 W: Network is unreachable - connect(2) (bugs.debian.org, #80)
Error retrieving bug reports
Retry downloading bug information?[Y/n]? n
Abort the installation[Y/n]? 
Exception `RuntimeError' at /usr/sbin/apt-listbugs:1079 - Exiting with error
 ... E: Exiting with error

BTW shouldn't the question "Abort the installation[Y/n]?" only appear
in apt mode?

Regards,

Uwe

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (750, 'testing'), (650, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages apt-listbugs depends on:
ii  apt                           0.6.46.2   Advanced front-end for dpkg
ii  libdpkg-ruby1.8               0.3.2      modules/classes for dpkg on ruby 1
ii  libhttp-access2-ruby1.8       2.0.6-3    HTTP accessing library for ruby
ii  libintl-gettext-ruby1.8       0.11-8     Gettext wrapper for Ruby 1.8
ii  libruby1.8 [libzlib-ruby1.8]  1.8.5-3    Libraries necessary to run Ruby 1.
ii  libxml-parser-ruby1.8         0.6.8-2    Interface of expat for the scripti
ii  ruby                          1.8.2-1    An interpreter of object-oriented 

apt-listbugs recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Uwe Storbeck <uwe@ibr.ch>, 399706@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#399706: apt-listbugs does not use the proxy if http_proxy is set but soap_use_proxy not
Date: Wed, 22 Nov 2006 07:40:02 +0900
reassign 399706 libruby1.8
thanks

> Package: apt-listbugs
> Version: 0.0.68
> Severity: normal
> 
> Hi Junichi,
> 
> very nice you at least turned down the error from the sanity check into
> a warning. But it does not work, apparently the proxy will not be used
> if soap_use_proxy is not set. Isn't that all getting to complicated?
> Why not simply follow the apt.conf manpage: "The http_proxy environment
> variable will override all settings." If an admin is not aware of his
> environment settings it's his own fault. No need to protect bad admins
> of themself at the price to make it complicated for all others ...
> 
> # /usr/sbin/apt-listbugs list apt-listbugs -d
> W: sanity check failed: environment variable http_proxy is set and soap_use_proxy is not 'on'.http_proxy: http://http-proxy:8080/ : ,,http-proxy,8080
> http://bugs.debian.org:80/, user-auth=:
> indexdir = /indices/
> Reading package fields... Done
> Reading package status... Done
> Retrieving bug reports... 0%Exception `LoadError' at /usr/lib/ruby/1.8/xml/encoding-ja.rb:12 - no such file to load -- uconv
> Set XSD::XMLParser::XMLParser as XML processor.
> Exception `LoadError' at /usr/lib/ruby/1.8/http-access2.rb:31 - no such file to load -- openssl
> reading /indices/index.db-critical.gz.. 
> Reading /indices/index.db-critical.gz... 
> reading /indices/index.db-grave.gz.. 
> Reading /indices/index.db-grave.gz... 
> reading /indices/index.db-serious.gz.. 
> Reading /indices/index.db-serious.gz... 
> fetching 326008 381350 389681 395562 323626 334697.. 
> Wire dump:
> 
> = Request
> 
> ! CONNECT TO bugs.debian.org:80
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1129 - Network is unreachable - connect(2)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1415 - Network is unreachable - connect(2) (bugs.debian.org, #80)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:915 - Network is unreachable - connect(2) (bugs.debian.org, #80)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/soap/streamHandler.rb:184 - Network is unreachable - connect(2) (bugs.debian.org, #80)
>  Exception: Errno::ENETUNREACH
>  W: Network is unreachable - connect(2) (bugs.debian.org, #80)
> Error retrieving bug reports
> Retry downloading bug information?[Y/n]? n
> Abort the installation[Y/n]? 
> Exception `RuntimeError' at /usr/sbin/apt-listbugs:1079 - Exiting with error
>  ... E: Exiting with error
> 
> BTW shouldn't the question "Abort the installation[Y/n]?" only appear
> in apt mode?
> 
> Regards,
> 
> Uwe
> 
> -- System Information:
> Debian Release: 4.0
>   APT prefers testing
>   APT policy: (750, 'testing'), (650, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-1-k7
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> 
> Versions of packages apt-listbugs depends on:
> ii  apt                           0.6.46.2   Advanced front-end for dpkg
> ii  libdpkg-ruby1.8               0.3.2      modules/classes for dpkg on ruby 1
> ii  libhttp-access2-ruby1.8       2.0.6-3    HTTP accessing library for ruby
> ii  libintl-gettext-ruby1.8       0.11-8     Gettext wrapper for Ruby 1.8
> ii  libruby1.8 [libzlib-ruby1.8]  1.8.5-3    Libraries necessary to run Ruby 1.
> ii  libxml-parser-ruby1.8         0.6.8-2    Interface of expat for the scripti
> ii  ruby                          1.8.2-1    An interpreter of object-oriented 
> 
> apt-listbugs recommends no packages.
> 
> -- no debconf information
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #20 received at 399706@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Uwe Storbeck <uwe@ibr.ch>, 399706@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#399706: apt-listbugs does not use the proxy if http_proxy is set but soap_use_proxy not
Date: Wed, 22 Nov 2006 07:40:16 +0900
reassign 399706 libruby1.8
thanks

> Package: apt-listbugs
> Version: 0.0.68
> Severity: normal
> 
> Hi Junichi,
> 
> very nice you at least turned down the error from the sanity check into
> a warning. But it does not work, apparently the proxy will not be used
> if soap_use_proxy is not set. Isn't that all getting to complicated?
> Why not simply follow the apt.conf manpage: "The http_proxy environment
> variable will override all settings." If an admin is not aware of his
> environment settings it's his own fault. No need to protect bad admins
> of themself at the price to make it complicated for all others ...
> 
> # /usr/sbin/apt-listbugs list apt-listbugs -d
> W: sanity check failed: environment variable http_proxy is set and soap_use_proxy is not 'on'.http_proxy: http://http-proxy:8080/ : ,,http-proxy,8080
> http://bugs.debian.org:80/, user-auth=:
> indexdir = /indices/
> Reading package fields... Done
> Reading package status... Done
> Retrieving bug reports... 0%Exception `LoadError' at /usr/lib/ruby/1.8/xml/encoding-ja.rb:12 - no such file to load -- uconv
> Set XSD::XMLParser::XMLParser as XML processor.
> Exception `LoadError' at /usr/lib/ruby/1.8/http-access2.rb:31 - no such file to load -- openssl
> reading /indices/index.db-critical.gz.. 
> Reading /indices/index.db-critical.gz... 
> reading /indices/index.db-grave.gz.. 
> Reading /indices/index.db-grave.gz... 
> reading /indices/index.db-serious.gz.. 
> Reading /indices/index.db-serious.gz... 
> fetching 326008 381350 389681 395562 323626 334697.. 
> Wire dump:
> 
> = Request
> 
> ! CONNECT TO bugs.debian.org:80
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1129 - Network is unreachable - connect(2)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:1415 - Network is unreachable - connect(2) (bugs.debian.org, #80)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/http-access2.rb:915 - Network is unreachable - connect(2) (bugs.debian.org, #80)
> Exception `Errno::ENETUNREACH' at /usr/lib/ruby/1.8/soap/streamHandler.rb:184 - Network is unreachable - connect(2) (bugs.debian.org, #80)
>  Exception: Errno::ENETUNREACH
>  W: Network is unreachable - connect(2) (bugs.debian.org, #80)
> Error retrieving bug reports
> Retry downloading bug information?[Y/n]? n
> Abort the installation[Y/n]? 
> Exception `RuntimeError' at /usr/sbin/apt-listbugs:1079 - Exiting with error
>  ... E: Exiting with error
> 
> BTW shouldn't the question "Abort the installation[Y/n]?" only appear
> in apt mode?
> 
> Regards,
> 
> Uwe
> 
> -- System Information:
> Debian Release: 4.0
>   APT prefers testing
>   APT policy: (750, 'testing'), (650, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-1-k7
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> 
> Versions of packages apt-listbugs depends on:
> ii  apt                           0.6.46.2   Advanced front-end for dpkg
> ii  libdpkg-ruby1.8               0.3.2      modules/classes for dpkg on ruby 1
> ii  libhttp-access2-ruby1.8       2.0.6-3    HTTP accessing library for ruby
> ii  libintl-gettext-ruby1.8       0.11-8     Gettext wrapper for Ruby 1.8
> ii  libruby1.8 [libzlib-ruby1.8]  1.8.5-3    Libraries necessary to run Ruby 1.
> ii  libxml-parser-ruby1.8         0.6.8-2    Interface of expat for the scripti
> ii  ruby                          1.8.2-1    An interpreter of object-oriented 
> 
> apt-listbugs recommends no packages.
> 
> -- no debconf information
> 



Bug reassigned from package `apt-listbugs' to `libruby1.8'. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#399706; Package libruby1.8. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #27 received at 399706@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: uwe@ibr.ch (Uwe Storbeck)
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 389681@bugs.debian.org, 399706@bugs.debian.org
Subject: Re: Bug#389681: apt-listbugs: Bug still exists in version 0.0.57
Date: Wed, 22 Nov 2006 07:56:16 +0900
> > > And .. there are really enough environment variables. We do not need
> > > yet another environment variable for every program. apt-listbugs has
> > > a config file, so why not use it for the SOAP_USE_PROXY switch?
> > 
> > SOAP_USE_PROXY is a safeguard set by ruby upstream. 
> 
> >From the view of the user it does not matter if a program is written
> in C, perl or ruby. If a program uses a library it should not expose
> internal interfaces to the user.

Please follow up this discussion in 399706.  I agree Ruby is stupid
here, but I don't intend to work around it.

regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#399706; Package libruby1.8. Full text and rfc822 format available.

Acknowledgement sent to akira yamada <akira@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 399706@bugs.debian.org (full text, mbox):

From: akira yamada <akira@debian.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 399706@bugs.debian.org, 396304@bugs.debian.org
Cc: Uwe Storbeck <uwe@ibr.ch>, 389681@bugs.debian.org
Subject: Re: Bug#399706: Bug#389681: apt-listbugs: Bug still exists in version 0.0.57
Date: Wed, 22 Nov 2006 10:56:04 +0900
Junichi Uekawa wrote:
> Please follow up this discussion in 399706.  I agree Ruby is stupid
> here, but I don't intend to work around it.

I don't think so.

It is not a bug of Ruby and it is bug of apt-listbugs.
I think that the behaviour is intended by the upstream author of SOAP4r.

The current author of apt-listbugs should ask the upstream
or correct his code.

-- 
ay

P.S. I will reassign the bug to apt-listbugs later.
Please reassign the bug to libruby1.8
if you ask the upstream and the upstream changes the code.



Bug reassigned from package `libruby1.8' to `apt-listbugs'. Request was from akira yamada <akira@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to uwe@ibr.ch (Uwe Storbeck):
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #39 received at 399706@bugs.debian.org (full text, mbox):

From: uwe@ibr.ch (Uwe Storbeck)
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 399706@bugs.debian.org, 396304@bugs.debian.org
Subject: apt-listbugs proxy handling
Date: Wed, 22 Nov 2006 14:22:43 +0100
On Nov 22, Junichi Uekawa wrote:

> reassign 399706 libruby1.8

There are now 3 bugs (399706, 396304 and 389681) about the proxy
handling of apt-listbugs and I'm not convinced that this is really
a ruby problem.
The sanity check with SOAP_USE_PROXY may be required in other
contexts where this ruby module is used. In the case of apt-listbugs
it is not required, even more it is annoying.
I don't know ruby. But you are using a ruby module in apt-listbugs
which requires the SOAP_USE_PROXY variable to be set to work
properly. This is an interface of this module. There is no need to
expose it to the user of the application. So why not simply set this
variable inside of apt-listbugs to handle this internally and avoid
all this hassle?

Regards,

Uwe



Severity set to `wishlist' from `normal' Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `apt-listbugs' to `libruby1.8'. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 396304 399706. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#399706; Package libruby1.8. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #52 received at 399706@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: control@bugs.debian.org, 396304@bugs.debian.org, 399706@bugs.debian.org
Subject: retitle the bugs for more appropriate title
Date: Thu, 23 Nov 2006 12:26:17 +0900
retitle 396304 soap4r should not request USE_SOAP_PROXY, or it should be standardized
retitle 399706 soap4r should not request USE_SOAP_PROXY, or it should be standardized
thanks

As per Debian policy, I request SOAP4R to not require extra
environment variable, or document such behavior as standard behavior
across other programs, or document that RUBY requires such
non-standard behavior. (It's currently undocumented except for the source).


This is not a problem on apt-listbugs, since it's already a documented
feature and will not be fixed.

regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to akira yamada <akira@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Storbeck <uwe@ibr.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 399706-close@bugs.debian.org (full text, mbox):

From: akira yamada <akira@debian.org>
To: 399706-close@bugs.debian.org
Subject: Bug#399706: fixed in ruby1.8 1.8.5-4
Date: Mon, 04 Dec 2006 03:02:03 +0000
Source: ruby1.8
Source-Version: 1.8.5-4

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.5-4_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.5-4_all.deb
libdbm-ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.5-4_i386.deb
libgdbm-ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.5-4_i386.deb
libopenssl-ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.5-4_i386.deb
libreadline-ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.5-4_i386.deb
libruby1.8-dbg_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.5-4_i386.deb
libruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.5-4_i386.deb
libtcltk-ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.5-4_i386.deb
rdoc1.8_1.8.5-4_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.5-4_all.deb
ri1.8_1.8.5-4_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.5-4_all.deb
ruby1.8-dev_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.5-4_i386.deb
ruby1.8-elisp_1.8.5-4_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.5-4_all.deb
ruby1.8-examples_1.8.5-4_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.5-4_all.deb
ruby1.8_1.8.5-4.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.5-4.diff.gz
ruby1.8_1.8.5-4.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.5-4.dsc
ruby1.8_1.8.5-4_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.5-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399706@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <akira@debian.org> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Dec 2006 10:12:29 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.5-4
Distribution: unstable
Urgency: high
Maintainer: akira yamada <akira@debian.org>
Changed-By: akira yamada <akira@debian.org>
Description: 
 irb1.8     - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging symbols for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8    - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8      - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8    - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header files for compiling extension modules for the Ruby 1.8
 ruby1.8-elisp - ruby-mode for Emacsen
 ruby1.8-examples - Examples for Ruby 1.8
Closes: 396304 399706
Changes: 
 ruby1.8 (1.8.5-4) unstable; urgency=high
 .
   * applied debian/patches/149_bignum_to_s.patch:
       - Bignum#to_s(10) broken.  [ruby-dev:29710]
   * applied debian/patches/150_time_dup.patch:
       - duplicate the class of original time.  [ruby-core:09357]
   * applied debian/patches/151_super.patch:
       - fixed bug of zsuper with both of opt and rest.  fixed:
         [ruby-list:42928]
   * applied debian/patches/152_dir_glob.patch:
       - get rid of possible memory leak.
   * applied debian/patches/153_set_xor.patch:
       - fixed XOR operation against a container that holds duplicate values.
         [issue: #6444]
   * applied debian/patches/154_parse.y_segv.patch:
       - '().."' dumps core.  [ruby-dev:29732]
   * applied debian/patches/155_imap_nomodseq.patch and
     debian/patches/803_imap_nomodseq.patch.
   * applied debian/patches/156_rss_needless_include.patch:
       - removed needless include.
   * applied debian/patches/157_eval_iter_pre.patch:
       - ruby_block may be NULL even when ITER_PRE.
   * applied debian/patches/158_file_supplementray_group.patch:
       - File should honor supplementary group IDs.  [ruby-core:09546]
   * applied debian/patches/159_implicit_visibility.patch:
       - set implicit visibility only when it's called for the target class.
   * applied debian/patches/160_bignum_segv.patch:
       - aBignum*aFloat dumps core.  [ruby-list:43012]
   * applied debian/patches/161_sprintf_width.patch:
       - need not to truncate string if no width specifier given for %s.
         [ruby-dev:29952]
   * applied debian/patches/162_ossl_oscperror.patch:
       - OpenSSL::OCSP::OSCPError should be subclass of OpenSSL::OpenSSLError.
         [ruby-dev:29980]
   * applied debian/patches/163_cgi.rb_quote_boundary.patch:
       - [security] invalid multipart boundary can make cgi.rb infinite loop
         and CPU consumption.  (JVN#84798830)
   * added notes for HTTP_PROXY environment variable to README.Debian.
     (closes: #396304, #399706)
Files: 
 6c2bc9a43e29e727a62dc218093cd671 1068 interpreters optional ruby1.8_1.8.5-4.dsc
 4f1595bec7ab6224a647362d57391f4b 94597 interpreters optional ruby1.8_1.8.5-4.diff.gz
 a779d41afaab2856794526ee7c7a8204 216910 interpreters optional ruby1.8_1.8.5-4_i386.deb
 fa0dbbaf5dc5c036c2f981cb4df17500 1529156 libs optional libruby1.8_1.8.5-4_i386.deb
 4c2059cc43b09cb66f6374fdf81bcbd5 1001462 libdevel extra libruby1.8-dbg_1.8.5-4_i386.deb
 164b753af7b0a867ae0bb45a9778a169 718356 devel optional ruby1.8-dev_1.8.5-4_i386.deb
 3b0f903248ecd1373d6ba82d72c723b4 196540 interpreters optional libdbm-ruby1.8_1.8.5-4_i386.deb
 6138a8994d72665b8db3ddcddbc2e3e1 197248 interpreters optional libgdbm-ruby1.8_1.8.5-4_i386.deb
 54e2c9fc7f6d54eacb61f62a1ade351d 196846 interpreters optional libreadline-ruby1.8_1.8.5-4_i386.deb
 4a0ddc9d83778e626b1de0ba68b15727 1830162 interpreters optional libtcltk-ruby1.8_1.8.5-4_i386.deb
 b7d726ff2dff773a65ee78eda1b7f6f0 291310 interpreters optional libopenssl-ruby1.8_1.8.5-4_i386.deb
 c17663795e731688552d59b32a148c39 241724 interpreters optional ruby1.8-examples_1.8.5-4_all.deb
 8c9d0f913deb55debca20ce3854599d4 209236 interpreters optional ruby1.8-elisp_1.8.5-4_all.deb
 ea1a3cbe288511f939602f31a121f4d0 1228136 interpreters optional ri1.8_1.8.5-4_all.deb
 931cdcde1637d10f7b3bf45a356832d3 309388 doc optional rdoc1.8_1.8.5-4_all.deb
 dcb0cd7fc50357868e61cf011739546c 234650 interpreters optional irb1.8_1.8.5-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFc3yiXzkxpuIT8aARAoAIAJ0TiFFI/n1Ab0N8sJwCmcG1ICUXPwCeM1nz
oGVT1qcEjghCeRR6B3mir08=
=Dz2T
-----END PGP SIGNATURE-----




Reply sent to akira yamada <akira@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian May <brian@vpac.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#399706; Package libruby1.8. Full text and rfc822 format available.

Acknowledgement sent to uwe@ibr.ch (Uwe Storbeck):
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. Full text and rfc822 format available.

Message #69 received at 399706@bugs.debian.org (full text, mbox):

From: uwe@ibr.ch (Uwe Storbeck)
To: 399706@bugs.debian.org
Subject: bug still not fixed
Date: Tue, 6 Mar 2007 15:50:52 +0100
Package: apt-listbugs
Version: 0.0.73

Hi Junichi,

this bug is still not fixed:

# apt-listbugs list apt-listbugs
Reading package fields... Donenment variable http_proxy is set and soap_use_proxy is not 'on'.
Reading package status... Done
Retrieving bug reports... 0% Fail
Error retrieving bug reports from the server with the following error message:
 W: Network is unreachable - connect(2) (bugs.debian.org, #80)
It could be because your network is down, or because of broken proxy servers, or the BTS server itself is down. Check network configuration and try again
Retry downloading bug information?[Y/n]? 

From the view of the user it does not matter if this is a problem of
apt-listbugs itself or ruby, especially if this bug can be fixed by a
simple single line change:

--- apt-listbugs.dist-0.0.73	2007-01-29 14:29:04.000000000 +0100
+++ apt-listbugs	2007-03-06 15:33:41.000000000 +0100
@@ -393,6 +393,7 @@
     end
     if ENV["http_proxy"] != nil && ENV["soap_use_proxy"] != "on"
       $stderr.print $intl._("W: sanity check failed: environment variable http_proxy is set and soap_use_proxy is not 'on'.")
+      ENV["soap_use_proxy"] = "on"
     end
 
     # http_proxy check

I have running this patch for months without any problems.

Could you _please_ apply this patch to apt-listbugs to fix this nasty
behaviour before etch is released?

Thanks,

Uwe



Bug reassigned from package `libruby1.8' to `apt-listbugs'. Request was from uwe@ibr.ch (Uwe Storbeck) to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 0.0.73. Request was from uwe@ibr.ch (Uwe Storbeck) to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 0.0.69. Request was from uwe@ibr.ch (Uwe Storbeck) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#399706; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #80 received at 399706@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 399706@bugs.debian.org, control@bugs.debian.org
Subject: standardize handling of 'http_proxy' environment variable
Date: Wed, 07 Mar 2007 08:25:13 +0900
reassign 399706 project
thanks

Hi,


There are many different usages of http_proxy environment variable,
and they are not standardized.  This is partly due to the fact
variables starting with 'HTTP_' being vulnerable from remote attacks.

I think this needs standardization across libraries in Debian
distribution level.
Thoughts?


regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Bug reassigned from package `apt-listbugs' to `project'. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 11:17:31 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 03:15:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'project' to 'apt-listbugs'. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 03:15:05 GMT) Full text and rfc822 format available.

Marked as found in versions apt-listbugs/0.1.3. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 03:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Poli (wintermute) <invernomuto@paranoici.org>:
Bug#399706; Package apt-listbugs. (Sun, 29 Apr 2012 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kenyon Ralph <kenyon@kenyonralph.com>:
Extra info received and forwarded to list. Copy sent to Francesco Poli (wintermute) <invernomuto@paranoici.org>. (Sun, 29 Apr 2012 03:21:03 GMT) Full text and rfc822 format available.

Message #95 received at 399706@bugs.debian.org (full text, mbox):

From: Kenyon Ralph <kenyon@kenyonralph.com>
To: 399706@bugs.debian.org
Subject: soap_use_proxy problem still exists with apt-listbugs
Date: Sat, 28 Apr 2012 20:18:42 -0700
[Message part 1 (text/plain, inline)]
Please apply the patch in
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=399706#69>. Thanks.

-- 
Kenyon Ralph
[signature.asc (application/pgp-signature, inline)]

Reply sent to Francesco Poli <invernomuto@paranoici.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:45:13 GMT) Full text and rfc822 format available.

Notification sent to Uwe Storbeck <uwe@ibr.ch>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:45:17 GMT) Full text and rfc822 format available.

Message #100 received at 399706-done@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Kenyon Ralph <kenyon@kenyonralph.com>, 399706-done@bugs.debian.org
Subject: Re: Bug#399706: soap_use_proxy problem still exists with apt-listbugs
Date: Sun, 29 Apr 2012 11:40:49 +0200
[Message part 1 (text/plain, inline)]
Source: apt-listbugs
Source-Version: 0.1.4


On Sat, 28 Apr 2012 20:18:42 -0700 Kenyon Ralph wrote:

> Please apply the patch in
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=399706#69>. Thanks.

Hi!

I think I have already applied a similar patch:
http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git;a=commitdiff;h=b27d17a17fb973584dfe7bbbb71ec54089f8fdb9

This patch ended up in apt-listbugs/0.1.4, which was uploaded to Debian
unstable long ago.

I am therefore closing this bug as fixed in version 0.1.4: feel free to
reopen the bug report, in case something related to the issue under
consideration is still wrong in the current apt-listbugs version
(0.1.6).

Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Francesco Poli <invernomuto@paranoici.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:45:20 GMT) Full text and rfc822 format available.

Notification sent to Brian May <brian@vpac.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:45:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 May 2012 07:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:57:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.